
package de.ivu.elect.business.wahl;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.presentation.wahl.WahlCreateView;
import de.ivu.elect.presentation.wahl.action.WahlZurBearbeitungAuswaehlenAction;

@Specializes
public class CommonWahlCreateView extends WahlCreateView {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlZurBearbeitungAuswaehlenAction wahlZurBearbeitungAuswaehlenAction;

  public CommonWahlCreateView() {
    super();
  }

  @Override
  protected String postSave(Wahl wahl, String outcome) {
    String newOutcome = super.postSave(wahl, outcome);

    if (wahlZurBearbeitungAuswaehlenAction.isActionPossible(wahl)) {
      wahlZurBearbeitungAuswaehlenAction.action(wahl);
    }
    return newOutcome;
  }

}
